> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Amazon Product



## OpenAPI

````yaml weaver POST /products/import/amazon
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /products/import/amazon:
    post:
      summary: Import Amazon Products
      operationId: ImportAmazonProducts
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAmazonImportJobRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
          description: Successful Response
components:
  schemas:
    CreateAmazonImportJobRequest:
      title: CreateAmazonImportJobRequest
      type: object
      properties:
        asins:
          description: ASIN list to import from Amazon, max 20 items
          items:
            type: string
          type: array
        marketplace:
          $ref: '#/components/schemas/Marketplace'
      required:
        - marketplace
    ImportJob:
      type: object
      properties:
        failure:
          items:
            type: string
          type: array
        id:
          type: string
        importing:
          items:
            type: string
          type: array
        success:
          items:
            type: string
          type: array
      required:
        - id
    Marketplace:
      type: string
      enum:
        - AU
        - BE
        - BR
        - CA
        - CN
        - EG
        - IT
        - DE
        - FR
        - IN
        - JP
        - MX
        - NL
        - PL
        - SA
        - SG
        - ES
        - SE
        - TR
        - AE
        - US
        - UK
      title: Marketplace

````